using System.Text.Json;

namespace View_by_Distance.Metadata.Query.Models;

public record AppSettings(string Company,
                          int MaxDegreeOfParallelism,
                          string WorkingDirectoryName)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}