using System.Text.Json.Serialization;

namespace View_by_Distance.Shared.Models;

public record FaceFile(DateTime DateTime,
                       string? DMS,
                       Dictionary<Stateless.FacePart, FacePoint[]>? FaceParts,
                       Location? Location,
                       string? Maker,
                       string? Model,
                       OutputResolution? OutputResolution);

[JsonSourceGenerationOptions(WriteIndented = false)]
[JsonSerializable(typeof(FaceFile))]
public partial class FaceFileGenerationContext : JsonSerializerContext
{
}