namespace View_by_Distance.Map.Models;

public record Configuration(Shared.Models.Methods.IDistanceLimits DistanceLimits,
                            Shared.Models.Properties.IPropertyConfiguration PropertyConfiguration,
                            bool DeletePossibleDuplicates,
                            bool DistanceMoveUnableToMatch,
                            bool DistanceRenameToMatch,
                            int FaceConfidencePercent,
                            int FaceDistancePermyriad,
                            string? LinkedAlpha,
                            string LocationContainerDebugDirectory,
                            string LocationContainerDirectoryPattern,
                            int LocationContainerDistanceGroupMinimum,
                            int LocationContainerDistanceTake,
                            float? LocationContainerDistanceTolerance,
                            int LocationDigits,
                            string MappingDefaultName,
                            int PersonBirthdayFirstYear,
                            string PersonBirthdayFormat,
                            char[] PersonCharacters,
                            int[] RangeDaysDeltaTolerance,
                            float[] RangeDistanceTolerance,
                            bool ReMap,
                            bool SaveIndividually,
                            bool SaveSortingWithoutPerson,
                            string[] SkipNotSkipDirectories,
                            int SortingMaximumPerKey,
                            int SortingMinimumToUseSigma,
                            string FacesFileNameExtension,
                            string FacesHiddenFileNameExtension,
                            string FacePartsFileNameExtension);