using System.Collections.ObjectModel;
using System.Text.Json;

namespace View_by_Distance.Shared.Models;

public record Container(string SourceDirectory, ReadOnlyCollection<Item> Items)
{

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}